curl --request GET \
--url https://{host}/lucca-api/webhook-delivery-attempts \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "webhook-delivery-attempts",
"url": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?limit=25",
"totalCount": 29,
"items": [
{
"id": "874",
"type": "webhook-delivery-attempt",
"url": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts/874",
"signature": "9087FD897DSF87D67F78SD6F876SD78F6SD7886F78SD6F87SD678F6SD78F6SD786FS876F78SD6F786FYJHXWYCV78C6FV7868S7FDS78",
"webhookDelivery": {
"id": "87",
"type": "webhook-delivery",
"url": "https://example.ilucca.net/lucca-api/webhook-deliveries/87"
},
"isSuccessful": true,
"responseStatusCode": 202,
"errorResponseBody": "",
"createdAt": "2024-04-03T09:23:56.235Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?page=!43df&limit=25"
}
},
"embedded": {
"webhook-delivery": {
"87": {
"id": "87",
"type": "webhook-delivery",
"url": "https://example.ilucca.net/lucca-api/webhook-deliveries/87",
"nextAttemptAt": "2023-08-29T09:12:33.001Z",
"attemptsCount": 2,
"status": "delivered",
"event": {
"id": "123",
"type": "event",
"url": "https://example.ilucca.net/lucca-api/events/123"
},
"webhookEndpoint": {
"id": "12",
"type": "webhook-endpoint",
"url": "https://example.ilucca.net/lucca-api/webhook-endpoints/12"
},
"links": {
"attempts": {
"href": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?webhookDelivery.id=87"
}
}
}
},
"event": {
"123": {
"id": "123",
"type": "event",
"url": "https://example.ilucca.net/lucca-api/events/123",
"apiVersion": "2024-01-01",
"topic": "employee.updated",
"occurredAt": "2024-02-01T09:34:23.001Z",
"source": "https://example.ilucca.net",
"businessEstablishment": {
"id": "12",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/12"
},
"data": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416",
"remoteId": "00002345",
"portrait": {
"id": "66512232",
"type": "portrait",
"url": "https://example.ilucca.net/lucca-api/portraits/66512232"
},
"givenName": "Edward",
"familyName": "Atkinson",
"employeeNumber": "E000124",
"status": "active",
"email": "eatkinson@acme.corp",
"birthDay": {
"day": 22,
"month": 12
},
"phoneNumber": "+33145784512",
"applicableEmployment": {
"id": "154",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/154"
},
"applicableJobPosition": {
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z"
},
"previousAttributes": {
"givenName": "Ed"
},
"links": {
"retry": {
"href": "https://example.ilucca.net/lucca-api/webhook-deliveries"
}
}
}
}
}
}Retrieve a paginated list of webhook-delivery-attempts.
curl --request GET \
--url https://{host}/lucca-api/webhook-delivery-attempts \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"type": "webhook-delivery-attempts",
"url": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?limit=25",
"totalCount": 29,
"items": [
{
"id": "874",
"type": "webhook-delivery-attempt",
"url": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts/874",
"signature": "9087FD897DSF87D67F78SD6F876SD78F6SD7886F78SD6F87SD678F6SD78F6SD786FS876F78SD6F786FYJHXWYCV78C6FV7868S7FDS78",
"webhookDelivery": {
"id": "87",
"type": "webhook-delivery",
"url": "https://example.ilucca.net/lucca-api/webhook-deliveries/87"
},
"isSuccessful": true,
"responseStatusCode": 202,
"errorResponseBody": "",
"createdAt": "2024-04-03T09:23:56.235Z",
"links": {}
}
],
"links": {
"prev": null,
"next": {
"href": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?page=!43df&limit=25"
}
},
"embedded": {
"webhook-delivery": {
"87": {
"id": "87",
"type": "webhook-delivery",
"url": "https://example.ilucca.net/lucca-api/webhook-deliveries/87",
"nextAttemptAt": "2023-08-29T09:12:33.001Z",
"attemptsCount": 2,
"status": "delivered",
"event": {
"id": "123",
"type": "event",
"url": "https://example.ilucca.net/lucca-api/events/123"
},
"webhookEndpoint": {
"id": "12",
"type": "webhook-endpoint",
"url": "https://example.ilucca.net/lucca-api/webhook-endpoints/12"
},
"links": {
"attempts": {
"href": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?webhookDelivery.id=87"
}
}
}
},
"event": {
"123": {
"id": "123",
"type": "event",
"url": "https://example.ilucca.net/lucca-api/events/123",
"apiVersion": "2024-01-01",
"topic": "employee.updated",
"occurredAt": "2024-02-01T09:34:23.001Z",
"source": "https://example.ilucca.net",
"businessEstablishment": {
"id": "12",
"type": "business-establishment",
"url": "https://example.ilucca.net/lucca-api/business-establishments/12"
},
"data": {
"id": "416",
"type": "employee",
"url": "https://example.ilucca.net/lucca-api/employees/416",
"remoteId": "00002345",
"portrait": {
"id": "66512232",
"type": "portrait",
"url": "https://example.ilucca.net/lucca-api/portraits/66512232"
},
"givenName": "Edward",
"familyName": "Atkinson",
"employeeNumber": "E000124",
"status": "active",
"email": "eatkinson@acme.corp",
"birthDay": {
"day": 22,
"month": 12
},
"phoneNumber": "+33145784512",
"applicableEmployment": {
"id": "154",
"type": "employment",
"url": "https://example.ilucca.net/lucca-api/employments/154"
},
"applicableJobPosition": {
"id": "74",
"type": "job-position",
"url": "https://example.ilucca.net/lucca-api/job-positions/74"
},
"createdAt": "2024-04-15T23:12:54.0001Z",
"lastUpdatedAt": "2024-04-15T23:12:54.0001Z"
},
"previousAttributes": {
"givenName": "Ed"
},
"links": {
"retry": {
"href": "https://example.ilucca.net/lucca-api/webhook-deliveries"
}
}
}
}
}
}Required OAuth 2.0 Scopes
webhook-deliveries.readonly
webhook-deliveries.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A collection of webhook-delivery-attempt resources.
"webhook-delivery-attempts"Total number of webhook-delivery-attempt resources across all pages that satisfy query parameters.
x >= 0100Show child attributes
Links to related resources
Show child attributes
Embeds the representation of resources related to the webhook-delivery-attempt(s).
Only returned if requested by the API client: ?include=embedded.
Show child attributes
Was this page helpful?